Subject: Re: [PATCH] git send-email: edit recipient addresses with the --compose flag

From: Francis Galiegue <[email-masked]>
Date: Mon, 10 Nov 2008 08:57:10 +0100

Le Sunday 09 November 2008 13:59:48 Ian Hilt, vous avez écrit :
[...]
> +	my @recipients = split(/\s*,\s*/, $match);

This is where it gets complicated, for the "hey, I am" <some@one> case...

But then there is a solution: use a negative lookahead for the split regex.

I thought about splitting against /\s*,\s*(?![^"]+(?:\"[^*]*)*)"/.

A negative lookbehind would have been clearer to write, but perl doesn't 
support arbitrary length negative lookbehinds, except by using a very, very 
arcane construct.

-- 
fge